@echo off

rem ********************************************************************************
rem *
rem * Integrate-IBMToolkit-AltirisForWindows.BAT
rem *
rem * This file controls loading of the ServerGuide Scripting Toolkit Altiris 
rem * integration files into the Altiris Deployment Solution for Windows console.  
rem *
rem * This batch file is called by the user.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Set some environment variables to make this easier to maintain
rem * Toolkit: Product Name - TK_NAME
rem * Toolkit: Product Version - TK_VER
rem * Toolkit: Path to base Toolkit directory - TK_PT
rem * Toolkit: Install directory - TK_INS
rem ********************************************************************************

rem * Toolkit: Path to base Toolkit directory
set TK_PT=..

:GETVER
rem ********************************************************************************
rem * Store the Windows version of the device drivers as an environment variable
rem ********************************************************************************
%TK_PT%\utils\win32\Clini.exe %TK_PT%\version.ini /S:Main /I:Version /E:TK_VER

rem ********************************************************************************
rem Check for errors: CLINI.EXE
rem ********************************************************************************
if not errorlevel 1 goto RUNBAT
echo An error occurred running clini.exe on %TK_PT%\version.ini.
echo.
goto ERROR

:RUNBAT
rem ********************************************************************************
rem * Set the environment variable
rem ********************************************************************************
call CLIniSet.bat


:GETNAME
rem ********************************************************************************
rem * Store the Windows version of the device drivers as an environment variable
rem ********************************************************************************
%TK_PT%\utils\win32\Clini.exe %TK_PT%\version.ini /S:Main /I:Product Name /E:TK_NAME

rem ********************************************************************************
rem Check for errors: CLINI.EXE
rem ********************************************************************************
if not errorlevel 1 goto RUNBAT2
echo An error occurred running clini.exe on %TK_PT%\version.ini.
echo.
goto ERROR

:RUNBAT2
rem ********************************************************************************
rem * Set the environment variable
rem ********************************************************************************
call CLIniSet.bat


:GETBID
rem ********************************************************************************
rem * Store the Windows version of the device drivers as an environment variable
rem ********************************************************************************
%TK_PT%\utils\win32\Clini.exe %TK_PT%\version.ini /S:Main /I:BuildID /E:TK_ID

rem ********************************************************************************
rem Check for errors: CLINI.EXE
rem ********************************************************************************
if not errorlevel 1 goto RUNBAT3
echo An error occurred running clini.exe on %TK_PT%\version.ini.
echo.
goto ERROR

:RUNBAT3
rem ********************************************************************************
rem * Set the environment variable
rem ********************************************************************************
call CLIniSet.bat

rem * Toolkit: Path to base Toolkit directory
set TK_PT=sgdeploy\sgtk

rem * Toolkit: Install directory
set TK_INS=C:\Program Files\Altiris\express\Deployment Server\


:DOWRK
rem ********************************************************************************
rem * Change to the examples directory before running
rem ********************************************************************************
cd ..\examples


rem ********************************************************************************
rem * Load Scripting Toolkit binary for Altiris Deployment Solution for Windows
rem ********************************************************************************
call loadbin.bat


rem ********************************************************************************
rem * Change to the examples directory before running
rem ********************************************************************************
cd %TK_PT%\examples

rem ********************************************************************************
rem * Load Scripting Toolkit tools menu for Altiris Deployment Solution for Windows
rem ********************************************************************************
call loadmenu.bat


goto END


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "Integrate-IBMToolkit-AltirisForWindows.bat".

pause
goto END



:END
del cliniset.bat 
